Name:           makehuman
Version:        0.9
Release:        3%{?dist}
Summary:        Modeling of three-dimensional humanoid characters

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.dedalo-3d.com
Source0:        http://downloads.sourceforge.net/makehuman/makehuman-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mhgui-devel
BuildRequires:  desktop-file-utils


%description
MakeHuman(C) is an open-source, open graphics library, stand-alone,
multi-platform, software program, which is completely written in 
C++ language. Its purpose is to provide a versatile, professional
and extremely specialized application for parametrical modeling of
three-dimensional humanoid characters.


%prep
%setup -q
chmod 0644 src/*

sed -i.timestamp -e 's|cp -R|cp -pR|g' {data,pixmaps}/Makefile.{am,in}

%build
%configure --disable-static
sed -i -e 's|-L/usr/lib|-L%{_libdir}|' Makefile
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# Removes doc
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

# Symlink for pixmap
ln -s %{name}/ui/mybs.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

cat > %{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=MakeHuman
Comment=Design characters
Comment[fr]=Modéliser des personnages
Exec=makehuman
Terminal=false
Icon=makehuman
Type=Application
Categories=Graphics;
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora                    \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  %{name}.desktop

# Remove zero-length files
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/targets/ns_tongue/tongue_camaleon.target
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/targets/ns_teeth/teeth_gengivite.target
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/targets/l_ear2/l_ear_incisura_intertragica_down.target
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/targets/ns_abdomen/abdomen_twist.target

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.txt TODO
%{_bindir}/makehuman
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/*.desktop


%changelog
* Fri Sep 21 2007 kwizart < kwizart at gmail.com > - 0.9-3
- Add pixmap for .desktop
- Remove Category Application
- License is GPLv2+

* Thu Sep 20 2007 kwizart < kwizart at gmail.com > - 0.9-2
- Fix timestamp
- Drop update-desktop-database
- Remove zero-length files

* Fri Jul 20 2007 kwizart < kwizart at gmail.com > - 0.9-1
- Initial spec file for Fedora 
